Passer au contenu principal
PUT
/
2
/
activity
/
subscriptions
/
{subscription_id}
Mettre à jour l’abonnement à l’activité X
curl --request PUT \
  --url https://api.x.com/2/activity/subscriptions/{subscription_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tag": "<string>",
  "webhook_id": "1146654567674912769"
}
'
{
  "data": {
    "total_subscriptions": 123
  }
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

subscription_id
string
requis

L’ID de l’abonnement à mettre à jour. L’identifiant unique de cet abonnement.

Pattern: ^[0-9]{1,19}$
Exemple:

"1146654567674912769"

Corps

application/json
tag
string
Required string length: 1 - 200
webhook_id
string

L’identifiant unique de cette configuration de webhook.

Pattern: ^[0-9]{1,19}$
Exemple:

"1146654567674912769"

Réponse

La requête a réussi.

data
object